/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-20
 * 描述            ：产品规范与冶金规范对应表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComPscRMscMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_MSC", namespace=ComPscRMscMapper.class)
public class ComPscRMsc extends BaseVO implements Serializable {
	/** 
	 * 产品规范码
	 */ 
	@Id
	private String psc;
	public String  getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 产品规范描述
	 */ 
	@Column
	private String psc_desc;
	public String  getPsc_desc() {
		return this.psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}

	/** 
	 * 用途代码
	 */ 
	@Column
	private String alpha_code;
	public String  getAlpha_code() {
		return this.alpha_code;
	}
	public void setAlpha_code(String alpha_code) {
		this.alpha_code = alpha_code;
	}

	/** 
	 * 用途描述
	 */ 
	@Column
	private String alpha_name;
	public String  getAlpha_name() {
		return this.alpha_name;
	}
	public void setAlpha_name(String alpha_name) {
		this.alpha_name = alpha_name;
	}

	/** 
	 * 冶金规范码
	 */ 
	@Id
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 冶金规范描述
	 */ 
	@Column
	private String msc_desc;
	public String  getMsc_desc() {
		return this.msc_desc;
	}
	public void setMsc_desc(String msc_desc) {
		this.msc_desc = msc_desc;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * {老系统}产品规范码
	 */ 
	@Column
	private String psc_old;
	public String  getPsc_old() {
		return this.psc_old;
	}
	public void setPsc_old(String psc_old) {
		this.psc_old = psc_old;
	}

	/** 
	 * {老系统}Alpha代码(客户标准)
	 */ 
	@Column
	private String use_code_old;
	public String  getUse_code_old() {
		return this.use_code_old;
	}
	public void setUse_code_old(String use_code_old) {
		this.use_code_old = use_code_old;
	}

	/** 
	 * {老系统}冶金规范码
	 */ 
	@Column
	private String msc_old;
	public String  getMsc_old() {
		return this.msc_old;
	}
	public void setMsc_old(String msc_old) {
		this.msc_old = msc_old;
	}

	/** 
	 * 客户Alpha编号(SLM_CUST_ALPHA)
	 */ 
	@Column
	private String cust_alpha_no;
	public String  getCust_alpha_no() {
		return this.cust_alpha_no;
	}
	public void setCust_alpha_no(String cust_alpha_no) {
		this.cust_alpha_no = cust_alpha_no;
	}

}
